# DataExchange
TKIGES
IGESGeom

# IGESGeom_Point Class Reference

defines IGESPoint, Type <116> Form <0>
in package IGESGeom

`#include <IGESGeom_Point.hxx>`

Inheritance diagram for IGESGeom_Point:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_Point ()
Standard_EXPORT void | Init (const gp_XYZ &aPoint, const Handle(IGESBasic_SubfigureDef)&aSymbol)
| This method is used to set the fields of the class Point - aPoint : Coordinates of point - aSymbol : SubfigureDefinition entity specifying the display symbol if there exists one, or zero .
Standard_EXPORT gp_Pnt | Value () const
| returns co-ordinates of the point
Standard_EXPORT gp_Pnt | TransformedValue () const
| returns co-ordinates of the point after applying Transf. Matrix
Standard_EXPORT Standard_Boolean | HasDisplaySymbol () const
| returns True if symbol exists
Standard_EXPORT Handle_IGESBasic_SubfigureDef | DisplaySymbol () const
| returns display symbol entity if it exists
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | thePoint
Handle_IGESBasic_SubfigureDef | theSymbol

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Point::IGESGeom_Point | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESBasic_SubfigureDef IGESGeom_Point::DisplaySymbol | ( |  | ) | const

Standard_EXPORT const IGESGeom_Point::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESGeom_Point::HasDisplaySymbol | ( |  | ) | const

Standard_EXPORT void IGESGeom_Point::Init | ( | const gp_XYZ & | aPoint,
|  | const Handle(IGESBasic_SubfigureDef)& | aSymbol
| ) |

Standard_EXPORT gp_Pnt IGESGeom_Point::TransformedValue | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESGeom_Point::Value | ( |  | ) | const

## Field Documentation

gp_XYZ IGESGeom_Point::thePoint `[private]`

Handle_IGESBasic_SubfigureDef IGESGeom_Point::theSymbol `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Point.hxx